Subject: bug#24846: error while loading shared libraries: libgmp.so.10: unexpected PLT reloc type 0x40

From: Yan Markman <[email-masked]>
Date: Tue, 1 Nov 2016 19:33:14 +0000

MANY MANY THANKS

Yan Markman
Phones: 33898, 054-4732819 (972-54-4732819)

-----Original Message-----
From: Pádraig Brady [mailto:[email-masked]] 
Sent: Tuesday, November 01, 2016 8:14 PM
To: Yan Markman; [email-masked]
Subject: Re: bug#24846: error while loading shared libraries: libgmp.so.10: unexpected PLT reloc type 0x40

On 01/11/16 17:10, Yan Markman wrote:
> Thanks Pádraig
> 
> I think that described failure is only a symptom  of more generic problem.
>  just occasionally failing on coreutils::ls command.
> So I would like to understand what exactly this message says.
> This message is reported by " ld-2.22.so" but I have no LIB-source-code.

You can see this in the glibc source code.

> - Have you got an idea what the code 0x40 (PLT reloc type 0x40) means?

It was expecting reloc type R_ARM_JUMP_SLOT (0x16) or R_ARM_TLS_DESC (0x0D), but got R_ARM_LDRS_PC_G0. I don't know how that could happen.

> - Should the "coretuls" be resident in RAM or could be swapped out under any condition and pumped back upon "ls" command?
> - Should the "libgmp.so" be resident in RAM or could be swapped out under any condition?

Yes that could happen under mem pressure.